Actualiza mapeo/correcciones y re-valida (08 §Paso 2 y 3)
curl --request PATCH \
--url https://api.finzaria.com/v1/v1/imports/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mapping": {},
"options": {},
"corrections": {},
"categoryRenames": {}
}
'import requests
url = "https://api.finzaria.com/v1/v1/imports/{id}"
payload = {
"mapping": {},
"options": {},
"corrections": {},
"categoryRenames": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({mapping: {}, options: {}, corrections: {}, categoryRenames: {}})
};
fetch('https://api.finzaria.com/v1/v1/imports/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"accountId": "<string>",
"filename": "<string>",
"status": "draft",
"mapping": {},
"columns": [
{
"index": 123,
"header": "<string>",
"samples": [
"<string>"
],
"field": "<string>"
}
],
"rows": [
{}
],
"newCategories": [
{
"name": "<string>",
"count": 123
}
],
"stats": {
"total": 123,
"ready": 123,
"errors": 123,
"duplicates": 123,
"excluded": 123
},
"detected": {}
}imports
Actualiza mapeo/correcciones y re-valida (08 §Paso 2 y 3)
PATCH
/
v1
/
imports
/
{id}
Actualiza mapeo/correcciones y re-valida (08 §Paso 2 y 3)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Mapeo de columnas y opciones.
Correcciones/exclusiones por fila: { rowIndex: { description?, amount?, date?, category?, excluded?, included? } }
Renombres/mapeos de categorías: { "texto del archivo": "ruta de categoría" } o { "origen": null } para dejar sin categoría.
Response
200 - application/json
Available options:
draft, committed, undone Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Encoding/delimitador detectados y filas de preámbulo saltadas.